import random

class DryerSimulator:
    def __init__(self):
        self.running = False
        self.temperature = 50
        self.distilled_storage = 50

    def get_running(self):
        return self.running
    
    def get_temperature(self):
        return self.temperature
    
    def get_distilled_storage(self):
        return self.distilled_storage

    def start(self):
        if not self.running and self.distilled_storage > 0:
            self.running = True
            self.distilled_storage -= random.randint(10,30)

    def clear(self):
        self.distilled_storage = 100

    def increase_temperature(self):
        if not self.running and self.temperature < 80:
            self.temperature += 10

    def decrease_temperature(self):
        if not self.running and self.temperature > 40:
            self.temperature -= 10


class Dryer:
    def __init__(self):

        self.real_device = DryerSimulator()
        self.running = False # indicates whether the device is running or not
        self.temperature = 50 # the current drying temperature
        self.distilled_storage = 50 # the current distilled water storage

    def start(self):
        # starts the drying process
        self.running = True

        print(f"start()")
        self.real_device.start()

    def clear(self):
        # clears the distilled water storage
        self.distilled_storage = 0

        print(f"clear()")
        self.real_device.clear()

    def increase_temperature(self):
        # increases the drying temperature by 10
        self.temperature += 10

        print(f"increase_temperature()")
        self.real_device.increase_temperature()

    def decrease_temperature(self):
        # decreases the drying temperature by 10
        self.temperature -= 10







        print(f"decrease_temperature()")
        self.real_device.decrease_temperature()

# Dry the cloth. But not hotter than 40 degree celsius.
dryer = Dryer()
dryer.start()
dryer.increase_temperature()
while dryer.temperature < 40:
    dryer.decrease_temperature()







# COMMENTED OUT - (SYNTAX ERROR): Consider the following python class:


class Car:
    def __init__(self):
        self.gas = 0 # Amount of gas in the tank
        self.speed = 0 # Current speed of the car

    def drive(self, distance):
        # drives the car for the given distance
        # requires that the car has gas
        if self.gas < distance:
            self.gas += distance

        self.speed += distance / (distance * 1.6) # Calculate the speed of the car during the journey

    def fillUpGas(self):
        # fills the gas tank
        self.gas = 0







# COMMENTED OUT - (SYNTAX ERROR): Write code that fulfills the task: "Drive 200 miles with the car. Stop at the nearest gas station when the gas level falls below 10.".






































































































































































































































































































































































































































































































































































































































































































MS



































































MS























MS






simulator = dryer.real_device
print(simulator.running and simulator.temperature == 40)